com.sun.grid.jgdi.util.shell

## Class QSubCommand

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.AbstractCommand
  - - com.sun.grid.jgdi.util.shell.AnnotatedCommand
    - - com.sun.grid.jgdi.util.shell.QSubCommand

-     public class QSubCommand
      extends AnnotatedCommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QSubCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteContextVariable(OptionInfo oi)`
    `void` | `exportEnvironment(OptionInfo oi)`
    `void` | `printUsage(OptionInfo oi)`
    `void` | `readOptionsFormFile(OptionInfo oi)`
    `void` | `run(java.lang.String[] args)` Run the command
    `void` | `seDeadLineVariable(OptionInfo oi)`
    `void` | `setAaccountString(OptionInfo oi)`
    `void` | `setAr(OptionInfo oi)`
    `void` | `setBinary(OptionInfo oi)`
    `void` | `setCheckPoint(OptionInfo oi)`
    `void` | `setCkptName(OptionInfo oi)`
    `void` | `setClear(OptionInfo oi)`
    `void` | `setContext(OptionInfo oi)`
    `void` | `setCwd(OptionInfo oi)`
    `void` | `setDirectivePrefix(OptionInfo oi)`
    `void` | `setErrorPath(OptionInfo oi)`
    `void` | `setHard(OptionInfo oi)`
    `void` | `setHold(OptionInfo oi)`
    `void` | `setJidPredecessor(OptionInfo oi)`
    `void` | `setJobArray(OptionInfo oi)`
    `void` | `setJobContext(OptionInfo oi)`
    `void` | `setJobName(OptionInfo oi)`
    `void` | `setJobShareMerge(OptionInfo oi)`
    `void` | `setMailList(OptionInfo oi)`
    `void` | `setMailOption(OptionInfo oi)`
    `void` | `setMasterQueue(OptionInfo oi)`
    `void` | `setMerge(OptionInfo oi)`
    `void` | `setNotify(OptionInfo oi)`
    `void` | `setNow(OptionInfo oi)`
    `void` | `setPE(OptionInfo oi)`
    `void` | `setPrioroty(OptionInfo oi)`
    `void` | `setProject(OptionInfo oi)`
    `void` | `setQueueList(OptionInfo oi)`
    `void` | `setReservations(OptionInfo oi)`
    `void` | `setResourceList(OptionInfo oi)`
    `void` | `setRestartable(OptionInfo oi)`
    `void` | `setShell(OptionInfo oi)`
    `void` | `setShellWrap(OptionInfo oi)`
    `void` | `setSoft(OptionInfo oi)`
    `void` | `setStartTime(OptionInfo oi)`
    `void` | `setStrInPath(OptionInfo oi)`
    `void` | `setStrOutPath(OptionInfo oi)`
    `void` | `setTerse(OptionInfo oi)`
    `void` | `setVariableList(OptionInfo oi)`
    `void` | `setVerify(OptionInfo oi)`
    `void` | `setVerifyMode(OptionInfo oi)`
    `void` | `setWait(OptionInfo oi)`
    `void` | `setWd(OptionInfo oi)`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AnnotatedCommand

      `getCustomExitCode, getDefaultErrorMessage, getExtraArguments, getOptionDescriptorMap, getOptionInfo, getOriginalExtraArguments, hasExtraArguments, initOptionDescriptorMap, invokeOptions, listOptions, parseAndInvokeOptions, parseOptions, tokenizeArgs`

    - ### Methods inherited from class com.sun.grid.jgdi.util.shell.AbstractCommand

      `getExitCode, getShell, getUsage, init, printAnswers, setExitCode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QSubCommand

          public QSubCommand()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] args)
                   throws java.lang.Exception

      Description copied from class: `AbstractCommand`
      Run the command
      Specified by:
        `run` in class `AbstractCommand`
      Throws:
        `java.lang.Exception`

    - #### setStartTime

          public void setStartTime(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setContext

          public void setContext(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setAr

          public void setAr(OptionInfo oi)
                     throws JGDIException

      Throws:
        `JGDIException`

    - #### setAaccountString

          public void setAaccountString(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### setBinary

          public void setBinary(OptionInfo oi)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### setCheckPoint

          public void setCheckPoint(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setCkptName

          public void setCkptName(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setClear

          public void setClear(OptionInfo oi)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### setCwd

          public void setCwd(OptionInfo oi)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### setDirectivePrefix

          public void setDirectivePrefix(OptionInfo oi)
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteContextVariable

          public void deleteContextVariable(OptionInfo oi)
                                     throws JGDIException

      Throws:
        `JGDIException`

    - #### seDeadLineVariable

          public void seDeadLineVariable(OptionInfo oi)
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### setErrorPath

          public void setErrorPath(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setHold

          public void setHold(OptionInfo oi)
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### setHard

          public void setHard(OptionInfo oi)
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### printUsage

          public void printUsage(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setJidPredecessor

          public void setJidPredecessor(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### setStrInPath

          public void setStrInPath(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setMerge

          public void setMerge(OptionInfo oi)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### setJobShareMerge

          public void setJobShareMerge(OptionInfo oi)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### setResourceList

          public void setResourceList(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setMailOption

          public void setMailOption(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setMasterQueue

          public void setMasterQueue(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### setNotify

          public void setNotify(OptionInfo oi)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### setNow

          public void setNow(OptionInfo oi)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### setMailList

          public void setMailList(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setJobName

          public void setJobName(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setStrOutPath

          public void setStrOutPath(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setProject

          public void setProject(OptionInfo oi)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### setPrioroty

          public void setPrioroty(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setPE

          public void setPE(OptionInfo oi)
                     throws JGDIException

      Throws:
        `JGDIException`

    - #### setQueueList

          public void setQueueList(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setReservations

          public void setReservations(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setRestartable

          public void setRestartable(OptionInfo oi)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### setJobContext

          public void setJobContext(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setShellWrap

          public void setShellWrap(OptionInfo oi)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### setSoft

          public void setSoft(OptionInfo oi)
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### setWait

          public void setWait(OptionInfo oi)
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### setShell

          public void setShell(OptionInfo oi)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### setJobArray

          public void setJobArray(OptionInfo oi)
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### setTerse

          public void setTerse(OptionInfo oi)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### setVariableList

          public void setVariableList(OptionInfo oi)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### setVerify

          public void setVerify(OptionInfo oi)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### exportEnvironment

          public void exportEnvironment(OptionInfo oi)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### setVerifyMode

          public void setVerifyMode(OptionInfo oi)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### setWd

          public void setWd(OptionInfo oi)
                     throws JGDIException

      Throws:
        `JGDIException`

    - #### readOptionsFormFile

          public void readOptionsFormFile(OptionInfo oi)
                                   throws JGDIException

      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.